package molders

// |@@| C

import (
	"gardening/src/dat/forms"
	"gardening/src/mdl"
)

type CreatePlantTaskFormMolder struct {
}

func (this *CreatePlantTaskFormMolder) ToEntity(form *forms.CreatePlantTaskForm, entity *mdl.PlantTask) (*mdl.PlantTask, []string) {
	var changes []string
	entity.Description = form.Description
	entity.Name = form.Name
	entity.StartDate = form.StartDate
	entity.PlantId = form.PlantId
	return entity, changes
}
func (this *CreatePlantTaskFormMolder) ToForm(form *forms.CreatePlantTaskForm, entity *mdl.PlantTask) *forms.CreatePlantTaskForm {
	form.Description = entity.Description
	form.Name = entity.Name
	form.StartDate = entity.StartDate
	form.PlantId = entity.PlantId
	return form
}
